.mas-wrap, .mas-avatar, .mas-username, .mas-wrap-status, .mas-status-dot { display: inline-block !important; }

.mas-wrap, .mas-avatar, .mas-username, .mas-wrap-status { vertical-align: middle; }

form#viewprofile .mas-wrap-status { width: 180px;}

.mas-avatar {
	width: 50px;
	height: 50px;
	margin: 5px;
	position: relative;
}

.section-viewonline .mas-avatar, .section-viewforum .mas-avatar, .section-viewtopic .mas-avatar, .section-index .mas-avatar, .section-posting .mas-avatar, .section-ucp .mas-avatar, .section-mcp .mas-avatar {
	width: 20px;
	height: 20px;
}

.mas-avatar img {
	display: block !important;
	width: auto;
	max-width: 100%;
	height: auto;
	max-height: 100%;
	margin: auto;
}

.mas-status-dot {
	width: 6px;
	height: 6px;
	border-radius: 50%;
	background-color: #000000;
	margin: 0px 3px 5px 3px;
}

.mas-status-dot:after {
	content: "";
	display: block;
	text-align: center;
	opacity: 1;
	background-color: #000000;
	width: 6px;
	height: 6px;
	border-radius: 50%;
	-webkit-animation: mas-status-pulse 2s linear infinite normal;
	-moz-animation: mas-status-pulse 2s linear infinite normal;
	animation: mas-status-pulse 2s linear infinite normal;
}

.mas-status-online .mas-status-dot {
	background-color: #00FF00;
}

.mas-status-online .mas-status-dot:after {
	background-color: #00FF00;
	-webkit-animation: mas-status-pulse 1s linear infinite reverse;
	-moz-animation: mas-status-pulse 1s linear infinite reverse;
	animation: mas-status-pulse 1s linear infinite reverse;
}

@-webkit-keyframes mas-status-pulse {
	000% { transform: scale(3); opacity: 0; }
	075% { transform: scale(1); opacity: 0.75; }
	100% { transform: scale(0); opacity: 1; }
}

@-moz-keyframes mas-status-pulse {
	000% { transform: scale(3); opacity: 0; }
	075% { transform: scale(1); opacity: 0.75; }
	100% { transform: scale(0); opacity: 1; }
}

@keyframes mas-status-pulse {
	000% { transform: scale(3); opacity: 0; }
	075% { transform: scale(1); opacity: 0.75; }
	100% { transform: scale(0); opacity: 1; }
}
